package jain.application.services.jcp;

/*
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *  Copyrights:
 *
 *  Copyright - 2001 Sun Microsystems, Inc. All rights reserved.
 *  901 San Antonio Road, Palo Alto, California 94043, U.S.A.
 *
 *  This product and related documentation are protected by copyright and
 *  distributed under licenses restricting its use, copying, distribution, and
 *  decompilation. No part of this product or related documentation may be
 *  reproduced in any form by any means without prior written authorization of
 *  Sun and its licensors, if any.
 *
 *  RESTRICTED RIGHTS LEGEND: Use, duplication, or disclosure by the United
 *  States Government is subject to the restrictions set forth in DFARS
 *  252.227-7013 (c)(1)(ii) and FAR 52.227-19.
 *
 *  The product described in this manual may be protected by one or more U.S.
 *  patents, foreign patents, or pending applications.
 *
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *  Author:
 *
 *  Telcordia Technologies, Inc.
 *  Farooq Anjum, John-Luc Bakker, Ravi Jain
 *  445 South Street
 *  Morristown, NJ 07960
 *
 *  Version       : 1.0
 *  Notes         :
 *
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/**
This is the base interface for all JcpConnection related events. This interface extends the 
JcpCallEvent interface. 
*/
public interface JcpConnectionEvent extends JcpCallEvent
{
    /**
        Returns the JcpConnection associated with this event.
    @return JcpConnection associated with this JcpConnection Event. The result of this call might be a cast of the result of {@link JcpEvent#getSource()}.
    */
    public JcpConnection getConnection( );
    /**
        This event indicates that the state of the JcpConnection object has changed to 
        {@link JcpConnection#ALERTING}. 
    */
    public static int CONNECTION_ALERTING                   = 104;
    /**
        This event indicates that the state of the JcpConnection object has changed to 
        {@link JcpConnection#CONNECTED}.
    */
    public static int CONNECTION_CONNECTED                  = 105;
    /**
        This event indicates that a new JcpConnection object has been created
        in the {@link JcpConnection#IDLE} state.
    */
    public static int CONNECTION_CREATED     = 106;
    /**
        This event indicates that the state of the JcpConnection object has changed to 
        {@link JcpConnection#DISCONNECTED}.
    */
    public static int CONNECTION_DISCONNECTED               = 107;
    /**
        This event indicates that the state of the JcpConnection object has changed to 
        {@link JcpConnection#FAILED}. 
    */
    public static int CONNECTION_FAILED                     = 108;
    /**
    This event indicates that the state of the JcpConnection object has changed
    to {@link JcpConnection#INPROGRESS}.
    */
    public static int CONNECTION_INPROGRESS                 = 109;

    /**
        This event indicates that the state of the JcpConnection object has changed to 
        {@link JcpConnection#UNKNOWN}. 
    */
    public static int CONNECTION_UNKNOWN                     = 110;
}

