package jain.application.services.jcp;

/*
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *  Copyrights:
 *
 *  Copyright - 2001 Sun Microsystems, Inc. All rights reserved.
 *  901 San Antonio Road, Palo Alto, California 94043, U.S.A.
 *
 *  This product and related documentation are protected by copyright and
 *  distributed under licenses restricting its use, copying, distribution, and
 *  decompilation. No part of this product or related documentation may be
 *  reproduced in any form by any means without prior written authorization of
 *  Sun and its licensors, if any.
 *
 *  RESTRICTED RIGHTS LEGEND: Use, duplication, or disclosure by the United
 *  States Government is subject to the restrictions set forth in DFARS
 *  252.227-7013 (c)(1)(ii) and FAR 52.227-19.
 *
 *  The product described in this manual may be protected by one or more U.S.
 *  patents, foreign patents, or pending applications.
 *
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *  Author:
 *
 *  Telcordia Technologies, Inc.
 *  Farooq Anjum, John-Luc Bakker, Ravi Jain
 *  445 South Street
 *  Morristown, NJ 07960
 *
 *  Version       : 1.0
 *  Notes         :
 *
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/**
    This interface is an extension of the JcpCallListener interface and reports
    state changes both of the {@link JcpCall} and its {@link JcpConnection}s.
*/
public interface JcpConnectionListener extends JcpCallListener
{
    /**
        Indicates that the {@link JcpConnection} object has just been created.

        @param connectionevent event resulting from state change.
    */
    public void connectionCreated( JcpConnectionEvent connectionevent );

    /**
       Indicates that the {@link JcpConnection} has just been placed in the {@link JcpConnection#ALERTING} state

        @param connectionevent event resulting from state change.
    */
    public void connectionAlerting( JcpConnectionEvent connectionevent );

    /**
       Indicates that the {@link JcpConnection} has just been placed in the {@link JcpConnection#CONNECTED}  state

        @param connectionevent event resulting from state change.
    */
    public void connectionConnected( JcpConnectionEvent connectionevent );

    /**
       Indicates that the {@link JcpConnection} has just been placed in the {@link JcpConnection#INPROGRESS} state

        @param connectionevent event resulting from state change.
    */
    public void connectionInProgress( JcpConnectionEvent connectionevent );

    /**
       Indicates that the {@link JcpConnection} has just been placed in the {@link JcpConnection#FAILED}  state

        @param connectionevent event resulting from state change.
    */
    public void connectionFailed( JcpConnectionEvent connectionevent );

    /**
       Indicates that the {@link JcpConnection} has just been placed in the {@link JcpConnection#DISCONNECTED}  state

        @param connectionevent event resulting from state change.
    */
    public void connectionDisconnected( JcpConnectionEvent connectionevent );
    /**
       Indicates that the {@link JcpConnection} has just been placed in the {@link JcpConnection#UNKNOWN}  state

        @param connectionevent event resulting from state change.
    */
    public void connectionUnknown( JcpConnectionEvent connectionevent );

}

